#include <bits/stdc++.h>

using namespace std;

string s[1000];
int c[2];

int main()
{
    ifstream cin("video.in");
    ofstream cout("video.out");
    int n, m;
    cin >> n >> m;
    for (int i = 0; i < n; i++)
        cin >> s[i];
        for (int j = 0; j < m; j++){
            c[s[i][j] - '0']++;
        }
    int ans = 1e9;
    if (c[2] >= n)
        if (c[2] % n == 0)
            ans = min(ans, n - 1);
        else
            ans = min(ans, c[2] % n);
    else
        ans = min(ans, c[2]);
    if (c[1] >= n)
        if (c[1] % n == 0)
            ans = min(ans, n - 1);
        else
            ans = min(ans, c[1] % n);
    else
        ans = min(ans, c[1]);

    if (c[2] >= m)
        if (c[2] % m == 0)
            ans = min(ans, m - 1);
        else
            ans = min(ans, c[2] % m);
    else
        ans = min(ans, c[2]);
    if (c[1] >= m)
        if (c[1] % m == 0)
            ans = min(ans, m - 1);
        else
            ans = min(ans, c[1] % m);
    else
        ans = min(ans, c[1]);

    cout << (n - 1) * (m - 1) - ans;
    return 0;
}
